Version:	7.3
Release:	5mdk
Summary:	Widgetset for the Linux FrameBuffer device
Name:		WsLib
License:	LGPL
Group:		System/Libraries
Source:		WsLib.redhog.3.tar.bz2
Patch:  WsLib-take_256_chars.patch.bz2
Patch1: WsLib-ppc.patch.bz2
Patch2: WsLib-imps2.patch.bz2
BuildRoot:	%{_tmppath}/WsLib-%{version}-root
Prefix:		%{_prefix}
URL:		http://WsLib.mini.dhs.org/

%description
 WsLib is a widgetset (library that provides text-boxes, lists, etc.)
that sists directly on top of the Linux FrameBuffer device. It was
developed for, and is currently only used by, Aurora (A graphical
front-end to the boot process). Install WsLib if you plan to use
Aurora or any other WsLib program.

%package -n WsLib-devel
Group:		System/Libraries
Requires:	AVLTree-devel
Buildrequires:	AVLTree-devel
Summary:	Widgetset for the Linux FrameBuffer device

%description -n WsLib-devel
 WsLib is a widgetset (library that provides text-boxes, lists, etc.)
that sists directly on top of the Linux FrameBuffer device. It was
developed for, and is currently only used by, Aurora (A graphical
front-end to the boot process). Install WsLib if you plan to use
Aurora or any other WsLib program.

%prep

%setup -q -n WsLib

%patch -p1
%ifarch ppc
%patch1 -p1
%endif

%patch2 -p1 -b .warly

%build
make prefix=$RPM_BUILD_ROOT/%{prefix}

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.WsLib

%files -n WsLib-devel
%defattr(-,root,root) 
%{prefix}/include/ws
%{prefix}/lib/libws.a
%{prefix}/bin/bdf2h
%doc README

%changelog
* Sun Sep 16 2001 Warly <warly@mandrakesoft.com> 7.3-5mdk
- imps2 as ps2 broke gpm afterwards, remove it.

* Sat Sep 15 2001 Warly <warly@mandrakesoft.com> 7.3-4mdk
- imps2=ps2

* Fri Sep 14 2001 Warly <warly@mandrakesoft.com> 7.3-3mdk
- add imps2 init

* Thu Sep 13 2001 Warly <warly@mandrakesoft.com> 7.3-2mdk
- add imps2 mouse support

* Mon Jul  2 2001 Warly <warly@mandrakesoft.com> 7.3-1mdk
- clean spec

* Wed Apr 30 2001 Stew Benedict <sbenedict@mandrakesoft.com> 7.2-174mdk
- patches to enable Aurora FB on PPC

* Sat Apr 14 2001 Warly <warly@mandrakesoft.com> 7.2-173mdk
- bdf2h take 256 chars and not 128

* Fri Mar 23 2001 RedHog <redhog@mandrakesoft.com> 7.2-172mdk
- Last release had conflicting release number with last release due to
  me forgetting some thing sometime... So here's the same again, but
  with a valid release-number...

* Fri Mar 23 2001 RedHog <redhog@mandrakesoft.com> 7.2-171mdk
- Changed the way updates are done, enabling several updates to be
  done simultaneously...
- Slight API changes
- Made main possible to use without mouse.
- Change to the build structure to the same one as Aurora, that is,
  with a nice unified version-handling script.
- Changes to allow click-sensing, not just mouse-down.



* Tue Sep 19 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-11mdk
- Bugfixes for some stupid bugs and support for M$ mices.

* Mon Sep 18 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-10mdk
- Text gfx bugfix.

* Fri Sep 15 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-9mdk
- Bugfix for the mouse-trace/shade problem...

* Fri Sep 15 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-8mdk
- Bugfix for scrolling/moving of Box:es

* Wed Sep 13 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-7mdk
- A whole bounch of bugfixes... Some for really nasty bugs...

* Fri Sep 08 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-6mdk
- Cleanup of the Bin-mess: Bin is now an abstract class, inherited by
  Sensor, Frame and Input. The old widget Bin have been renamed to
  Frame.

* Mon Sep 04 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-5mdk
- Do I have to say "Oups"?

* Mon Sep 04 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-4mdk
- Changes to where rgbdb is grabbed from...

* Fri Sep 01 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> 7.2-3mdk
- Smaller rpmlint-happifiers :)

* Mon Aug 31 2000 RedHog (Egil Mller) <redhog@mandrakesoft.com> redhog.1-0mdk
- Initial kenobi-compilation...

